This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### disableStyle()
Examples |
    PShape s;

    void setup() {
      // The file "bot.svg" must be in the data folder
      // of the current sketch to load successfully
      s = loadShape("bot.svg");
    }

    void draw() {
      s.disableStyle();
      shape(s, -30, 10, 80, 80);
      s.enableStyle();
      shape(s, 50, 10, 80, 80);
    }
Description | Disables the shape's style data and uses Processing's current styles. Styles include attributes such as colors, stroke weight, and stroke joints.
Syntax |
    sh.disableStyle()
Parameters |
sh | PShape: any variable of type PShape
Returns | void
Related | enableStyle()

Updated on October 26, 2013 08:58:33pm PDT